summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2009-02-10 09:21:43 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2009-02-10 09:21:43 +0000
commitfb22e1201f114cfaf1e86582d672aa5ef2eab085 (patch)
treef71b660bd5f160ec635b50f35c7ae13f1d1cd284 /bin
parent9af20107b160a9deae26e9387d5416828135c161 (diff)
downloadptxdist-fb22e1201f114cfaf1e86582d672aa5ef2eab085.tar.gz
ptxdist-fb22e1201f114cfaf1e86582d672aa5ef2eab085.tar.xz
* bin/ptxdist:
only complain if there is really an error (where's my brown paper bag) git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@9751 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist13
1 files changed, 8 insertions, 5 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index c434bfc3f..140fe402c 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1169,11 +1169,14 @@ do_config()
;;
esac
- echo
- echo "${PROMPT}'${part} ${config}' returned with an error"
- echo
- if [ $retval -ne 0 -a -n "${PTX_MENU}" ]; then
- read
+ local retval=$?
+ if [ $retval -ne 0 ]; then
+ echo
+ echo "${PROMPT}'${part} ${config}' returned with an error"
+ echo
+ if [ -n "${PTX_MENU}" ]; then
+ read
+ fi
fi
return $retval